edu.isi.pegasus.common.util

## Class CondorVersion.CondorVersionCallback

- java.lang.Object
- - edu.isi.pegasus.common.util.CondorVersion.CondorVersionCallback

All Implemented Interfaces:
  StreamGobblerCallback

Enclosing class:
  CondorVersion

    private static class CondorVersion.CondorVersionCallback
    extends java.lang.Object
    implements StreamGobblerCallback

An inner class, that implements the StreamGobblerCallback to determine the version of Condor being used.

### Field Summary

Fields
`private java.lang.String` `mVersion` The version detected.

### Constructor Summary

Constructors
Constructor and Description
`CondorVersionCallback()` The Default Constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getVersion()` Returns the condor version detected.
`void` `work(java.lang.String line)` Callback whenever a line is read from the stream by the StreamGobbler.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mVersion

    private java.lang.String mVersion

The version detected.

### Constructor Detail

#### CondorVersionCallback

    public CondorVersionCallback()

The Default Constructor

### Method Detail

#### work

    public void work(java.lang.String line)

Callback whenever a line is read from the stream by the StreamGobbler. Counts the occurences of the word that are in the line, and increments to the global counter.

Specified by:
  `work` in interface `StreamGobblerCallback`
Parameters:
  `line` - the line that is read.

#### getVersion

    public java.lang.String getVersion()

Returns the condor version detected.

Returns:
  the condor version else null